/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useAnimationFrame | useAnimationFrame} hook.
 */
export declare const useAnimationFrame: (args: {
    callback: FrameRequestCallback;
    startOnMount?: boolean;
}) => {
    start: () => void;
    cancel: () => void;
    toggle: (start?: boolean) => void;
    isStarted: boolean;
};
