/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useDebouncedState | useDebouncedState} hook.
 */
export declare const useDebouncedState: <T>(args: {
    initial: T;
    delay: number;
}) => readonly [T, import("react").Dispatch<import("react").SetStateAction<T>>, T];
