declare const getGamepadState: (gamepad: Gamepad) => {
    isConnected: boolean;
    A: GamepadButton | undefined;
    B: GamepadButton | undefined;
    X: GamepadButton | undefined;
    Y: GamepadButton | undefined;
    LB: GamepadButton | undefined;
    RB: GamepadButton | undefined;
    LT: GamepadButton | undefined;
    RT: GamepadButton | undefined;
    SELECT: GamepadButton | undefined;
    START: GamepadButton | undefined;
    UP: GamepadButton | undefined;
    DOWN: GamepadButton | undefined;
    LEFT: GamepadButton | undefined;
    RIGHT: GamepadButton | undefined;
    leftStick: {
        button: GamepadButton | undefined;
        x: number | undefined;
        y: number | undefined;
    };
    rightStick: {
        button: GamepadButton | undefined;
        x: number | undefined;
        y: number | undefined;
    };
};
export type GamepadState = ReturnType<typeof getGamepadState>;
export type GamepadHandler = (gamepad: GamepadState) => any;
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useGamepad | useGamepad} hook.
 */
export declare const useGamepad: (args: {
    handler: GamepadHandler;
    index?: number;
}) => boolean;
export {};
