export type GeolocationState = Partial<GeolocationCoordinates> & {
    isLoading: boolean;
    timestamp?: number;
    error?: GeolocationPositionError;
};
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useGeolocation | useGeolocation} hook.
 */
export declare const useGeolocation: (options?: PositionOptions) => GeolocationState;
