/// <reference types="react" />
import { IntersectionObserverOptions } from '../useIntersectionObserver';
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useInView | useInView} hook.
 */
export declare const useInView: <T extends HTMLElement = HTMLDivElement>(args: IntersectionObserverOptions<T> & {
    once?: boolean;
}) => {
    ref: import("react").RefObject<T>;
    isInView: boolean;
};
