/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useResizeObserver | useResizeObserver} hook.
 */
export declare const useResizeObserver: <T extends HTMLElement = HTMLDivElement>(args: ResizeObserverOptions & {
    handler: ResizeObserverCallback;
    ref?: React.RefObject<T> | null;
}) => {
    ref: import("react").RefObject<T>;
    observer: import("react").MutableRefObject<ResizeObserver | undefined>;
};
