/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useScrollDirection | useScrollDirection} hook.
 */
export declare const useScrollDirection: <T extends HTMLElement = HTMLDivElement>(ref?: React.RefObject<T> | null) => {
    isUp: boolean;
    isDown: boolean;
    isLeft: boolean;
    isRight: boolean;
    ref: import("react").RefObject<T>;
};
