import { SetStateAction } from 'react';
export declare const browserPrefixes: readonly ["", "moz", "webkit", "o", "ms"];
export declare function getPrefixedProperty<T extends {}, K extends keyof T & string>(obj: T, prop: K): any;
export declare function getStateActionValue<T extends any>(state: SetStateAction<T>, value: T): T;
export declare function getPointerPosition(event: MouseEvent | TouchEvent | PointerEvent): {
    x: number;
    y: number;
};
