/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useAsyncCallback | useAsyncCallback} hook.
 */
export declare const useAsyncCallback: <T>(callback: () => Promise<T>) => {
    data: T | undefined;
    isPending: boolean;
    error: any;
    callback: () => Promise<void>;
    clear: () => void;
};
