/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useClipboard | useClipboard} hook.
 */
export declare const useClipboard: (args?: {
    duration?: number;
}) => {
    isCopied: boolean;
    copy: (data?: string | ClipboardItem | ClipboardItem[] | null) => Promise<void>;
    paste: () => Promise<string>;
    pasteData: (type: string) => Promise<ClipboardItems>;
    reset: () => void;
};
