/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useCounter | useCounter} hook.
 */
export declare const useCounter: (args?: {
    initial?: number;
    min?: number;
    max?: number;
}) => {
    value: number;
    inc(step?: React.SetStateAction<number>): void;
    dec(step?: React.SetStateAction<number>): void;
    set(value: React.SetStateAction<number>): void;
    reset(): void;
};
