/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useFullscreen | useFullscreen} hook.
 */
export declare const useFullscreen: <T extends HTMLElement = HTMLDivElement>(ref?: React.RefObject<T> | null) => {
    ref: import("react").RefObject<T>;
    isEnabled: boolean;
    isError: boolean;
    enter(options?: FullscreenOptions): Promise<void>;
    exit(): Promise<void>;
    toggle(enable?: boolean): Promise<void>;
};
