/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useMediaDevices | useMediaDevices} hook.
 */
export declare const useMediaDevices: (args?: MediaStreamConstraints & {
    startOnMount?: boolean;
}) => {
    stream: MediaStream | null;
    devices: MediaDeviceInfo[];
    start: (constraints?: MediaStreamConstraints) => Promise<MediaStream>;
    stop: () => void;
};
