/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useScrollPosition | useScrollPosition} hook.
 */
export declare const useScrollPosition: <T extends HTMLElement = HTMLDivElement>(ref?: React.RefObject<T> | null) => {
    x: number;
    y: number;
    progressX: number;
    progressY: number;
    ref: import("react").RefObject<T>;
};
