/// <reference types="react" />
export type ScrollThresholdHandler = (event?: Event) => boolean | undefined | null;
export type ScrollThresholdOffset = {
    top?: number;
    bottom?: number;
    left?: number;
    right?: number;
};
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useScrollThreshold | useScrollThreshold} hook.
 */
export declare const useScrollThreshold: <T extends HTMLElement = HTMLDivElement>(args: {
    threshold: ScrollThresholdOffset | ScrollThresholdHandler;
    ref?: React.RefObject<T> | null;
}) => {
    ref: import("react").RefObject<T>;
    isPast: boolean;
};
