/// <reference types="react" />
/**
 * @see {@link https://malkiii.github.io/react-pre-hooks/docs/hooks/useSelection | useSelection} hook.
 */
export declare const useSelection: <T extends HTMLElement = HTMLDivElement>(ref?: React.RefObject<T> | null) => {
    ref: import("react").RefObject<T>;
    text: string;
    rect: DOMRect | undefined;
    isCollapsed: boolean;
};
