"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useNewRef = void 0;
const react_1 = require("react");
const useNewRef = (ref) => {
    const newRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        // @ts-ignore
        if (ref)
            newRef.current = ref.current;
    }, []);
    return ref ?? newRef;
};
exports.useNewRef = useNewRef;
//# sourceMappingURL=useNewRef.js.map